/*->icc.h */


extern os_error * csprofileprgb2cmyk(quadstr * rgb,quadstr * cmyk);
extern os_error * csprofilergb2cmyk(quadstr * rgb,quadstr * cmyk);

extern os_error * csprofilepcmyk2rgb(quadstr * cmyk,quadstr * rgb);
extern os_error * csprofilecmyk2rgb(quadstr * cmyk,quadstr * rgb);

extern os_error * csprofilepcmyk2rgb3232(int * s,int * d,int size);
extern os_error * csprofilecmyk2rgb3232(int * s,int * d,int size);

extern os_error * csprofilepcmyk2bgr3232(int * s,int * d,int size);
extern os_error * csprofilecmyk2bgr3232(int * s,int * d,int size);

extern os_error * csprofileprgb32torgb32(int * s,int * d,int size,int key,int mask);
extern os_error * csprofilergb32torgb32(int * s,int * d,int size,int key,int mask);

extern os_error * csprofilepbgr32tobgr32(int * s,int * d,int size,int key,int mask);
extern os_error * csprofilebgr32tobgr32(int * s,int * d,int size,int key,int mask);

extern os_error * csprofilepbgr24tobgr24(int * s,int * d,int size,int key,int mask);
extern os_error * csprofilebgr24tobgr24(int * s,int * d,int size,int key,int mask);

extern os_error * csprofileprgb16torgb16(int * s,int * d,int size,int key,int mask);
extern os_error * csprofilergb16torgb16(int * s,int * d,int size,int key,int mask);

extern os_error * csprofilepbgr16tobgr16(int * s,int * d,int size,int key,int mask);
extern os_error * csprofilebgr16tobgr16(int * s,int * d,int size,int key,int mask);

extern os_error * csprofileprgb2cmyk3232(int * s,int * d,int size);
extern os_error * csprofilergb2cmyk3232(int * s,int * d,int size);

extern os_error * csprofileprgb2cmykpal32(int * s,int * d,int size);
extern os_error * csprofilergb2cmykpal32(int * s,int * d,int size);

extern os_error * csprofilepcmyk2rgb32pal(int * s,int * d,int size);
extern os_error * csprofilecmyk2rgb32pal(int * s,int * d,int size);

extern os_error * csprofileprgb2cmyk1632(int * s,int * d,int size);
extern os_error * csprofilergb2cmyk1632(int * s,int * d,int size);

extern os_error * csprofilepcmyk2rgb3216(int * s,int * d,int size);
extern os_error * csprofilecmyk2rgb3216(int * s,int * d,int size);



#define CSMONITORSYSTEM 0x1
#define CSMONITORPROOF  0x2
#define CSPRINTERSYSTEM 0x1



extern int csprofilesactive(void);

extern os_error * csiccinit(void);
extern os_error * csiccfinit(void);


extern os_error * cssetprofiles(int rgbindex,int cmykindex,int monitorindex,int printerindex);
extern os_error * cssetprofiles2(int sepsindex);
extern os_error * cssetprofiles3(int monitorintent,int monitorflags,int printerintent,int printerflags,int sepsintent);


extern char * csprofilenameptr(int index,int flags);
extern int csfindprofile(char * name,int flags);


extern int csprofilename(int fp);


